class CreateEntryVersions < ActiveRecord::Migration[8.1]
  def change
    create_table :entry_versions do |t|
      t.references :entry, null: false, foreign_key: true
      t.references :user, null: false, foreign_key: true
      t.json :changes_made, null: false
      t.string :change_type
      t.datetime :created_at, null: false
    end
  end
end
